org.scalatest.matchers.Matchers

# BeWord

#### class BeWord extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Class `BeWord` contains an `apply` method that takes a `Symbol`, which uses reflection to find and access a `Boolean` property and determine if it is `true`. If the symbol passed is `'empty`, for example, the `apply` method will use reflection to look for a public Java field named "empty", a public method named "empty", or a public method named "isEmpty". If a field, it must be of type `Boolean`. If a method, it must take no parameters and return `Boolean`. If multiple candidates are found, the `apply` method will select based on the following algorithm:

Field | Method | "is" Method | Result
--- | --- | --- | ---
|  |  | Throws `TestFailedException`, because no candidates found
|  | `isEmpty()` | Invokes `isEmpty()`
| `empty()` |  | Invokes `empty()`
| `empty()` | `isEmpty()` | Invokes `empty()` (this can occur when `BeanProperty` annotation is used)
`empty` |  |  | Accesses field `empty`
`empty` |  | `isEmpty()` | Invokes `isEmpty()`
`empty` | `empty()` |  | Invokes `empty()`
`empty` | `empty()` | `isEmpty()` | Invokes `empty()` (this can occur when `BeanProperty` annotation is used)

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. BeWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BeWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def < [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): Matcher[T]

   This method enables the following syntax:

   This method enables the following syntax:

       result should be < (7)
                        ^

   Note that the less than operator will be invoked on `be` in this expression, not on a result of passing `be` to `should`, as with most other operators in the matchers DSL, because the less than operator has a higher precedence than `should`. Thus in the above case the first expression evaluated will be `be < (7)`, which results in a matcher that is passed to `should`.

   This method also enables the following syntax:

       result should not (be < (7))
                             ^

5. #### def <= [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): Matcher[T]

   This method enables the following syntax:

   This method enables the following syntax:

       result should be <= (7)
                        ^

   Note that the less than or equal to operator will be invoked on `be` in this expression, not on a result of passing `be` to `should`, as with most other operators in the matchers DSL, because the less than or equal to operator has a higher precedence than `should`. Thus in the above case the first expression evaluated will be `be <= (7)`, which results in a matcher that is passed to `should`.

   This method also enables the following syntax:

       result should not (be <= (7))
                             ^

6. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

7. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

8. #### def === (right: Any): Matcher[Any]

   This method enables the following syntax:

   This method enables the following syntax:

       result should be === (7)
                        ^

   Note that the === operator will be invoked on `be` in this expression, not on a result of passing `be` to `should`, as with most other operators in the matchers DSL, because the ===n operator has a higher precedence than `should`. Thus in the above case the first expression evaluated will be `be === (7)`, which results in a matcher that is passed to `should`.

   This method also enables the following syntax:

       result should not (be === (7))
                             ^

9. #### def > [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): Matcher[T]

   This method enables the following syntax:

   This method enables the following syntax:

       result should be > (7)
                        ^

   Note that the greater than operator will be invoked on `be` in this expression, not on a result of passing `be` to `should`, as with most other operators in the matchers DSL, because the greater than operator has a higher precedence than `should`. Thus in the above case the first expression evaluated will be `be > (7)`, which results in a matcher that is passed to `should`.

   This method also enables the following syntax:

       result should not (be > (7))
                             ^

10. #### def >= [T] (right: T)(implicit arg0: (T) ⇒ Ordered[T]): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        result should be >= (7)
                         ^

    Note that the greater than or equal to operator will be invoked on `be` in this expression, not on a result of passing `be` to `should`, as with most other operators in the matchers DSL, because the greater than or equal to operator has a higher precedence than `should`. Thus in the above case the first expression evaluated will be `be >= (7)`, which results in a matcher that is passed to `should`.

    This method also enables the following syntax:

        result should not (be >= (7))
                              ^

11. #### def a [S <: AnyRef] (bePropertyMatcher: BePropertyMatcher[S]): Matcher[S]

    This method enables the following syntax, where `fileMock` is, for example, of type `File` and `file` refers to a `BePropertyMatcher[File]`:

    This method enables the following syntax, where `fileMock` is, for example, of type `File` and `file` refers to a `BePropertyMatcher[File]`:

        fileMock should not { be a (file) }
                                 ^

12. #### def a [S <: AnyRef] (right: Symbol): Matcher[S]

    This method enables the following syntax:

    This method enables the following syntax:

        fileMock should not { be a ('file) }
                                 ^

13. #### def an [S <: AnyRef] (bePropertyMatcher: BePropertyMatcher[S]): Matcher[S]

    This method enables the following syntax, where `keyEvent` is, for example, of type `KeyEvent` and `actionKey` refers to a `BePropertyMatcher[KeyEvent]`:

    This method enables the following syntax, where `keyEvent` is, for example, of type `KeyEvent` and `actionKey` refers to a `BePropertyMatcher[KeyEvent]`:

        keyEvent should not { be an (actionKey) }
                                 ^

14. #### def an [S <: AnyRef] (right: Symbol): Matcher[S]

    This method enables the following syntax:

    This method enables the following syntax:

        animal should not { be an ('elephant) }
                               ^

15. #### def apply (right: Any): Matcher[Any]

    This method enables `be` to be used for equality comparison.

    This method enables `be` to be used for equality comparison. Here are some examples:

        result should be (None)

        result should be (Some(1))

        result should be (true)

        result should be (false)

        sum should be (19)
                      ^

16. #### def apply [T] (bePropertyMatcher: BePropertyMatcher[T]): Matcher[T]

    This method enables the following syntax, where `open` refers to a `BePropertyMatcher`:

    This method enables the following syntax, where `open` refers to a `BePropertyMatcher`:

        door should be (open)
                       ^

17. #### def apply [T] (right: BeMatcher[T]): Matcher[T]

    This method enables the following syntax, where `num` is, for example, of type `Int` and `odd` refers to a `BeMatcher[Int]`:

    This method enables the following syntax, where `num` is, for example, of type `Int` and `odd` refers to a `BeMatcher[Int]`:

        num should be (odd)
                      ^

18. #### def apply [S <: AnyRef] (right: Symbol): Matcher[S]

    This method enables the following syntax:

    This method enables the following syntax:

        set should be ('empty)
                      ^

19. #### def apply (o: Null): Matcher[AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        result should be (null)
                         ^

20. #### def apply (right: Boolean): Matcher[Boolean]

    This method enables the following syntax:

    This method enables the following syntax:

        result should be (true)
                         ^

21. #### def apply (byteTolerance: ByteTolerance): Matcher[Byte]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenByte should be (7.toByte plusOrMinus 2.toByte)
                            ^

22. #### def apply (shortTolerance: ShortTolerance): Matcher[Short]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenShort should be (7.toShort plusOrMinus 2.toShort)
                            ^

23. #### def apply (intTolerance: IntTolerance): Matcher[Int]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenInt should be (7 plusOrMinus 2)
                            ^

24. #### def apply (longTolerance: LongTolerance): Matcher[Long]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenLong should be (7L plusOrMinus 2L)
                            ^

25. #### def apply (floatTolerance: FloatTolerance): Matcher[Float]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOhFloat should be (7.1f plusOrMinus 0.2f)
                                  ^

26. #### def apply (doubleTolerance: DoubleTolerance): Matcher[Double]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOh should be (7.1 plusOrMinus 0.2)
                             ^

27. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

28. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

30. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

31. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

32. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

33. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

34. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

35. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

36. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

37. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

38. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

39. #### def theSameInstanceAs (right: AnyRef): Matcher[AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        result should be theSameInstancreAs (anotherObject)
                         ^

40. #### def toString (): String

    Definition Classes
      AnyRef → Any

41. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

42. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

43. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any